/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  docsSidebar: [
    {
      type: 'html',
      value: 'Tutorials',
      className: 'sidebar-section',
    },
    'docs/README',
    { type: 'autogenerated', dirName: 'docs/tutorials' },
    {
      type: 'html',
      value: 'Recipes',
      className: 'sidebar-section',
    },
    { type: 'autogenerated', dirName: 'docs/recipes' },
    {
      type: 'html',
      value: 'References',
      className: 'sidebar-section',
    },
    { type: 'autogenerated', dirName: 'docs/references' },
  ],
  sdkSidebar: [{ type: 'autogenerated', dirName: 'sdk' }],

  // But you can create a sidebar manually
  /*
  tutorialSidebar: [
    {
      type: 'category',
      label: 'Tutorial',
      items: ['hello'],
    },
  ],
   */
};

module.exports = sidebars;
